/*
 * @description:项目-标段相关
 * @Author: CP
 * @Date: 2020-09-09 17:34:56
 * @FilePath: \construction_management\web\controllers\project_bidsection.go
 */
package controllers

import (
	"github.com/kataras/iris/v12"
	"github.com/kataras/iris/v12/mvc"
)

// 项目-标段管理
func (c *ProjectController) GetBidsectionManage() mvc.Result {

	// 获得层级文件夹
	projectId, err := c.Ctx.Values().GetInt("projectId")
	if err != nil {
		projectId = 0
	}

	FolderData := c.ServiceTree.GetAllProject(projectId)
	// 获得标段

	// 层级文件 夹

	return mvc.View{
		Name: "project/bidsection/manage.html",
		Data: iris.Map{
			"Title":      "标段管理",
			"Channel":    "project",
			"Action":     "/project/bidsection/",
			"Menu":       "bidsectionManage",
			"FolderData": FolderData,
		},
		Layout: "project/layout.html",
	}
}
